You have upgraded to a new version of Watir (1.6.2). This version 
requires that you remove "include Watir" from your script.

Or you can reinstall the old version of Watir that you were using 
previously.

Bret

Claire Hill wrote:
> for some reason i had to uninstall my watir along with all it's 
> components but when i try to install it again i get a lot of error 
> running my scripts when it already running fine during my first 
> install. and i don't see a connection why i would be needing 
> safariwatir in using internet explorer. i tried to install safari 
> watir but it was not successful... can anyone help me out of this? i 
> badly needed to fix this one since i would need to do some test ASAP...
>
> here are the error i encountered:
>  
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:70:in
>  
> `const_get'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:70:in
>  
> `local_constants'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:70:in
>  
> `each'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:70:in
>  
> `local_constants'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:68:in
>  
> `each'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:68:in
>  
> `local_constants'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/core_ext/module/introspection.rb:86:in
>  
> `local_constant_names'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:498:in
>  
> `new_constants_in'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:495:in
>  
> `collect'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:495:in
>  
> `new_constants_in'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
>  
> `require'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.2/lib/active_support.rb:57
>     c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
> `gem_original_require'
>     c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
> `require'
>     
> c:/ruby/lib/ruby/gems/1.8/gems/watir-1.6.2/lib/watir/non_control_elements.rb:1
>     c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
> `gem_original_require'
>     c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in 
> `require'
>     c:/ruby/lib/ruby/gems/1.8/gems/watir-1.6.2/lib/watir/ie.rb:82
>     Monit_Status_Checking.rb:22:in `test_Monit'
>
>
> thanks and Godspeed!
> clai2x
>
> >


-- 
Bret Pettichord
CTO, WatirCraft LLC, www.watircraft.com
Lead Developer, Watir, www.watir.com
Blog, www.io.com/~wazmo/blog
Twitter, www.twitter.com/bpettichord

Watir Training: Portland/Beaverton April 16-17
www.watircraft.com/training


--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"Watir General" group.
To post to this group, send email to watir-general@googlegroups.com
Before posting, please read the following guidelines: 
http://wiki.openqa.org/display/WTR/Support
To unsubscribe from this group, send email to 
watir-general-unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/watir-general
-~----------~----~----~----~------~----~------~--~---

Reply via email to